:root {
  --primary-color: #007cc3;
  --black-color: #141416;
  --gray2: #353945;
  --gray3: #777e90;
  --gray4: #b1b5c3;
  --gray5: #e6e8ec;
  --gray4f: #4f4f4f;
  --gray6: #f4f5f6;
  --primary-font: "Inter", sans-serif;
  --secondary-font: "DM Sans", sans-serif;
  --fz-default: 14px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

img {
  display: block;
  max-width: 100%;
}

ul,
ol {
  list-style-type: none;
}

input,
button,
textarea,
select {
  outline: none;
  font: inherit;
  background-color: transparent;
  border: none;
}

button {
  cursor: pointer;
}

body {
  font-family: var(--primary-font);
  font-weight: 400;
  background-color: white;
  font-size: var(--fz-default);
  color: var(--gray3);
  line-height: 1;
}

.container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

a {
  text-decoration: none;
  color: inherit;
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--primary-color);
  color: white;
  border-radius: 100rem;
  cursor: pointer;
  outline: none;
  text-decoration: none;
  font-weight: 500;
  width: fit-content;
}

.heading {
  color: #00324f;
  font-weight: 300;
  font-size: 6rem;
  margin-bottom: 34px;
  line-height: 1.2;
  text-align: center;
}

.header {
  background-color: white;
  padding: 16px 0;
  box-shadow: 0px 6px 30px rgba(15, 15, 15, 0.06);
  margin-bottom: 70px;
}

.header-list {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 20px;
}

.header-item {
  padding: 14px 22px;
  border-radius: 10px;
  background-color: #f4f5f9;
  display: block;
  transition: all 0.2s linear;
}

.header-item:hover {
  background-color: #2979ff;
  color: white;
}

/* Footer */
.footer {
  padding: 70px 0;
}

.footer-container {
  max-width: 1130px;
}

.footer-columns {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 20px;
}

.footer-heading {
  font-size: 24px;
  line-height: 1.5;
  color: var(--gray2);
  font-weight: 500;
  margin-bottom: 20px;
}

.footer-links {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.footer-link {
  display: block;
  line-height: 1.5;
  font-size: 16px;
}

.footer-logo {
  display: inline-block;
  margin-bottom: 40px;
}

.footer-desc {
  font-size: 16px;
  line-height: 1.5;
  color: var(--gray2);
  margin-bottom: 30px;
}

.footer-top {
  padding-bottom: 70px;
  border-bottom: 1px solid var(--gray5);
}

.footer-bottom {
  margin-top: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--gray4);
  gap: 20px;
}

.footer-sn-list {
  display: flex;
  align-items: center;
  gap: 14px;
}

/* Subscribe */
.subscribe {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 100rem;
  border: 2px solid var(--gray5);
  padding: 8px;
}

.subscribe-email {
  font-size: 16px;
  line-height: 1.5;
  color: var(--black-color);
  font-weight: 500;
  padding-inline: 18px;
  width: 100%;
}

.subscribe-email::-webkit-input-placeholder {
  color: var(--gray4);
}

.subscribe-email::-moz-input-placeholder {
  color: var(--gray4);
}

.subscribe-button {
  width: 33px;
  height: 33px;
  border-radius: 100rem;
  background-color: var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.top-tours {
  margin: 55px 0;
}

.tour-list {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 30px;
}

.tour-item {
  background-color: white;
  border-radius: 10px;
  word-break: break-word;
  box-shadow: 0 5px 10px 0 rgb(8 29 42 / 8%);
  display: flex;
  align-items: stretch;
  justify-content: flex-start;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 0;
  flex: 1;
}

.tour-image {
  border-radius: 10px 10px 0 0;
  width: 100%;
  height: 239px;
  object-fit: cover;
  display: block;
}

.tour-content {
  padding: 20px 20px 14px 20px;
  flex: 1;
  display: flex;
  align-items: center;
  flex-direction: column;
  border-radius: 0 0 10px 10px;
}

.tour-title {
  margin-bottom: 20px;
  color: #00324f;
  font-weight: 500;
  font-size: 20px;
  line-height: 1.556;
  text-align: center;
  width: 100%;
}

.tour-desc {
  color: #00324f;
  font-size: 16px;
  line-height: 1.4;
}

.tour-button {
  font-size: 14px;
  font-weight: 500;
  color: white;
  padding: 8px 17px;
  background-color: #2198dc;
  text-decoration: none;
  line-height: 17px;
  display: inline-block;
}

.tour-top {
  position: relative;
}

.tour-price {
  position: absolute;
  top: 24px;
  left: 30px;
  display: inline-block;
  font-size: 12px;
  font-weight: 500;
  color: #fcfcfd;
  background-color: rgba(53, 57, 69, 0.8);
  padding: 5px 16px;
  line-height: 20px;
  border-radius: 4px;
}

@media screen and (max-width: 767.98px) {
  .tour-list {
    flex-direction: column;
  }
}

/* Popular */
/* align-items: start end center baseline stretch ;
    justify-content: start end center space-around space-between
    */
/* track-line: 1 -1 */
/* grid-template-columns: value value value ... n-value; */
/* grid-template-columns: 270px 270px 270px 270px;
    grid-template-columns: 25% 25% 25% 25%; */
/* grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-columns: repeat(4, 1fr); */
/* grid-template-columns: 200px repeat(2, 1fr) 300px; */
/* grid-auto-flow: column; */
/* grid-auto-columns: 1fr; */
/* 1fr = fraction unit */
.popular-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
  gap: 30px;
  margin-bottom: 40px;
}

.popular-item {
  border-radius: 14px;
  overflow: hidden;
  background-color: white;
  box-shadow: 0 5px 10px 0 rgb(8 29 42 / 8%);
}

.popular-label {
  display: inline-block;
  font-weight: 500;
  font-size: 12px;
  line-height: 15px;
  color: var(--gray6);
  padding: 4px 18px;
  border-radius: 100rem;
  background-color: #2198dc;
  position: absolute;
  right: 20px;
  bottom: 0;
  transform: translateY(50%);
}

.popular-image {
  height: 185px;
  position: relative;
}

.popular-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.popular-content {
  padding: 14px 20px;
}

.popular-time {
  color: var(--gray3);
  font-weight: 400;
  font-size: 9px;
  line-height: 11px;
  margin-bottom: 8px;
  display: block;
}

.popular-title {
  color: #00324f;
  font-weight: 500;
  font-size: 18px;
  line-height: 28px;
  margin-bottom: 9px;
  text-align: center;
}

.popular-desc {
  color: #00324f;
  line-height: 1.4;
  text-align: center;
}

.popular-review {
  display: flex;
  align-items: flex-start;
  font-weight: 500;
  font-size: 12px;
  line-height: 21px;
  color: var(--gray4f);
  gap: 4px;
  font-family: var(--secondary-font);
}

@media screen and (min-width: 1024px) {
  .popular-list {
    margin-bottom: 70px;
  }
}

/* Gems */
.gem-list {
  display: grid;
  grid-template-rows: 300px 300px 150px;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
}

.gem-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.gem-item:first-child {
  grid-column: 1/3;
  grid-row: 1/3;
}

.gem-item:nth-child(3) {
  grid-column: 1/2;
}

.gem-item:nth-last-child(2) {
  grid-column: 3/-1;
  grid-row: 2/3;
}

.gem-item:last-child {
  grid-column: 2/-1;
}

/* diamond */
.diamond {
  padding: 65px 0;
  background-color: #f5f5f5;
}

.diamond .heading {
  text-align: center;
}

.diamond-list {
  max-width: 998px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat(3, 220px);
  gap: 30px;
}

.diamond-item {
  background-color: #ffffff;
  box-shadow: 0px 30px 110px rgba(0, 0, 0, 0.08);
  border-radius: 14px;
  padding: 12px;
}

.diamond-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: inherit;
}

.diamond-all {
  margin: 70px auto 0;
  font-size: 24px;
  padding: 9px 40px;
  line-height: 1.5;
  display: block;
}

.diamond-image {
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: inherit;
}

.diamond-content {
  background: linear-gradient(3.19deg, rgba(0, 0, 0, 0.6) 17.99%, rgba(0, 0, 0, 0) 55.56%);
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: inherit;
  padding-left: 30px;
  padding-bottom: 14px;
  color: white;
  display: flex;
  align-items: flex-end;
}

@media screen and (min-width: 768px) {
  .footer-column:first-child {
    max-width: 268px;
  }
}

@media screen and (max-width: 767.98px) {
  .gem-list {
    grid-template-rows: 100px 100px 70px;
  }

  .popular-list {
    --columns: 1;
  }

  .heading {
    font-size: 18px;
    margin-bottom: 30px;
  }

  .tour-title {
    font-size: 16px;
    margin-bottom: 12px;
  }

  .tour-button,
  .tour-rating {
    font-size: 12px;
  }

  .tour-content {
    padding: 17px 17px 9px;
  }

  .tour-image {
    height: 211px;
  }

  .diamond {
    padding: 30px 0;
  }

  .diamond-list {
    grid-template-columns: 1fr;
    grid-template-rows: none;
    grid-auto-flow: row;
    grid-auto-rows: 148px;
    gap: 16px;
  }

  .diamond-item {
    padding: 8px;
  }

  .diamond-all {
    margin-top: 30px;
    margin-bottom: 0;
    font-size: 16px;
    padding: 4px 20px;
  }

  .footer {
    padding: 30px 0;
  }

  .footer-top {
    padding-bottom: 30px;
  }

  .footer-bottom,
  .footer-columns {
    flex-direction: column;
  }

  .footer-columns {
    gap: 40px;
  }
}

@media screen and (min-width: 768px) and (max-width: 1023.98px) {

  .popular-list,
  .tour-list {
    --columns: 2;
  }
}

.title {
  font-size: 66px;
  margin-bottom: 5px;
  text-align: center;
  font-weight: 300;
  color: #00324f;
}

.line {
  background-image: url(../img/line.png);
  height: 25px;
  background-repeat: no-repeat;
  background-position: center;
}

h3,
h4 {
  color: #00324f !important;
}

p {
  color: #00446a !important;
}

/*# sourceMappingURL=main.css.map */